Summary:       A library for the MaxMind DB file format
Name:          libmaxminddb
Version:       1.2.0
Release:       1%{?dist}%{?pext}
License:       APLv2
Group:         System Environment/Libraries
Source0:       http://github.com/maxmind/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
URL:           http://github.com/maxmind/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        MaxMind, Inc.

%description
Libmaxminddb provides a C library for reading MaxMind DB files, including the
GeoIP2 databases from MaxMind, to find geographical and network information
of an IP address. MaxMind DB is a custom binary format designed to facilitate
fast lookups of IP addresses while allowing for great flexibility in the type
of data associated with an address.

This package does not include any database files, see the geoipupdate package
for an automatic process to download and update database files.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries
for %{name}.


%package       utils
Summary:       Utilities for %{name}
Group:         Applications/System
Requires:      %{name} = %{version}-%{release}

%description   utils
The %{name}-utils package contains console utilities for %{name}.


%prep
%setup -q


%build
%configure \
	--enable-static \
	--enable-shared

%{__make} V=1 %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE NOTICE *.md doc/*.md
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/maxminddb*.h
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3*
%{_mandir}/man3/MMDB_*.3*

%files static
%defattr(-,root,root)
%{_libdir}/%{name}.a

%files utils
%defattr(-,root,root)
%{_bindir}/mmdblookup
%{_mandir}/man1/mmdblookup.1*


%changelog
* Thu Sep 22 2016 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.0-1
- New version (1.2.0)

* Sat Mar 05 2016 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.4-1
- New version (1.1.4)

* Sat Jan 02 2016 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.2-1
- New version (1.1.2)

* Sat Aug 29 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.1-1
- New version (1.1.1)

* Fri Jan 09 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.4-1
- Initial build
